## Citation: This lecture is heavily based off the tutorial from shiny.rstudio.com
## and can be found in Lesson 6 of the tutorial.

library(shiny)

shinyUI(fluidPage(
  ## Still Title
  titlePanel("stockVis"),
  
  ## Dictate application structure
  sidebarLayout(
    sidebarPanel(
      helpText("Select a stock to examine. 
        Information will be collected from yahoo finance."),
    
      ## Input with default values
      textInput("symb", "Symbol", "SPY"),
    
      ## Input with default values
      dateRangeInput("dates", 
        "Date range",
        start = "2013-01-01", 
        end = as.character(Sys.Date())),
   
      ## HTML Breaks
      br(),
      br(),
      
      ## True/False Checkbox
      checkboxInput("log", "Plot y axis on log scale", 
        value = FALSE),
      
      checkboxInput("adjust", 
        "Adjust prices for inflation", value = FALSE)
    ),
    
    mainPanel(plotOutput("plot"))
  )
))